4.18.0 (2023-08-06)
======
- Filters: Add Archives, Other, update Apps
- Use Gio to open files, fix "no default app" issue
- Add symlink emblem to thumbnails in thumbnail mode
- config: Prefer plocate over mlocate if available
- window: Avoid IndexError on right click when selection is empty
- Create shared filetype lists for searching and filtering
- Ensure site-packages directory is prepended to sys.path
- Fix double border between sidebar and results area
- window: Fix and refactor new_column()
- window: Fix markup warnings in thumbnail view
- Fix GtkBuilder warnings
- Revert "Suppress the various GTK warnings GtkBuilder outputs"
- Fix crash and translations when install prefix != /usr
- Update `.gitignore`
- Remove generated file po/catfish.pot
- Performance improvements (fix #79)
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), English (United
  Kingdom), Estonian, Finnish, French, Galician, German, Greek, Hebrew,
  Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Kazakh, Korean, Lithuanian, Malay, Norwegian Bokmål, Norwegian
  Nynorsk, Polish, Portuguese, Portuguese (Brazil), Russian, Serbian,
  Slovak, Slovenian, Spanish, Swedish, Thai, Turkish, Ukrainian

4.16.4
======
- Add "Open with" right click item and dialog (#12)
- Add a command-line option for setting default sort method
- Add Ctrl+A accelerator for the treeview (#64)
- Add option to show file size in binary or decimal
- Cosmetic changes for search entry and delete dialog
- Fix Ctrl+H not always toggling hidden files
- Fix DE detection when launched from Electron apps
- Fix exo file manager lookup for non-existent keys (#64)
- Fix file manager lookup outside of Xfce
- Fix GNOME DE detection in Ubuntu
- Improve application menu appearance
- Improve default width for the sidebar
- Prepend the project root directory to sys.path
- Support running without Xfconf (no preference saving)
- Switch to using the super() method
- Use correct executable for elementary Files
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), Estonian, Finnish,
  French, Galician, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Interlingue, Italian, Japanese, Korean, Lithuanian,
  Malay, Norwegian Bokmål, Norwegian Nynorsk, Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Turkish, Ukrainian

4.16.3
======
- Update "Searching..." Cursor
- Sidebar background color bugfix
- Fixes for syntax, fulltext zip search, special files (fixes #62)
- Adds symbolic link icons, better icon updating (fixes #46)
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), Estonian, Finnish,
  French, Galician, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Interlingue, Italian, Japanese, Korean, Lithuanian,
  Malay, Norwegian Bokmål, Norwegian Nynorsk, Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Thai, Turkish, Ukrainian

4.16.2
======
- Use standard icon name application-x-executable-symbolic instead of
  applications-other-symbolic
- Fix install with rpm/pkgbuild/pip (Fixes #58 59)
- Added keyboard hotkeys for search entry, new open dialog
- Fix Thunar "Show in FM" bug, better FM support (Fixes #43)
- Stops freezes with special files when zip search enabled
- Better and safer refreshing of selected results (fixes #48)
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), Estonian, Finnish,
  French, Galician, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Interlingue, Italian, Japanese, Kabyle, Korean,
  Lithuanian, Malay, Norwegian Bokmål, Norwegian Nynorsk, Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

4.16.1
======
- Enable sidebar by default (#45)
- Enable installation using pip (local source) (!20)
- Add support for searching compressed files (#29)
- Add persistent settings for searching file contents (#10)
- Add persistent settings for thumbnail view (#14)
- Add message and troff mimetypes to fulltext search (!22)
- Add PDF support to fulltext search (#37)
- Fix loading in Wayland (#50)
- Stop current search when new one starts (!28)
- Use local MIME database info (!21)
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), French, Galician,
  German, Greek, Hebrew, Hungarian, Icelandic, Indonesian, Interlingue,
  Italian, Japanese, Korean, Lithuanian, Malay, Norwegian Bokmål,
  Norwegian Nynorsk, Polish, Portuguese, Portuguese (Brazil), Russian,
  Slovak, Slovenian, Spanish, Swedish, Thai, Turkish, Ukrainian

4.16.0
======
- Fulltext now searches UTF-7, UTF-8, UTF-16 BE/LE, and UTF-32 BE/LE
- Replace Gtk/Gdk/GLib deprecated code (#6)
- Use "match all" method for fulltext search (#30)
- Translation Updates:
  Arabic, Basque, Belarusian, Danish, Estonian, Finnish, French,
  Indonesian, Japanese, Kabyle, Norwegian Bokmål, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian, Spanish,
  Swedish, Turkish

4.15.0
======
- Dependency Changes:
  - GTK >= 3.22
  - GLib >= 2.42
  - Python 2 support has been removed
  - Python 3 >= 3.2 (#33)
  - Xfconf >= 4.14.0 (requires GObject Introspection, see INSTALL)
  - Zeitgeist optional dependency now requires GObject Introspection
- New Features:
  - Added Ctrl+H shortcut to show/hide hidden files (#16)
  - Added "Today" and "Month" filters to the sidebar (#23)
  - Fulltext searches now include more text files (#7)
- General:
  - New app icon, now using an rDNS icon name (org.xfce.catfish)
  - Migrated ChangeLog to NEWS to better match Xfce projects
  - Renamed README to README.md and updated to match Xfce projects
  - Updated INSTALL to reference python3-specific packages (#36)
  - Various in-app icon updates (#15, #17, #26)
  - Added additional padding to Other and Custom gear icons (#20)
- Bug Fixes:
  - Check if zeitgeist daemon is running at startup (#34)
  - Correctly position custom filter popups above gear icon (#18)
  - Default to the current date in the custom date filters (#24)
  - Fix 'list' object has no attribute 'lower' (#9)
  - Fix fulltext freeze with special files (#32)
  - Fix python crash when some extension scheme is used (#35)
  - Fix statusbar moving on mouseover
  - Move custom file extension hint to tooltip (#25)
  - Sidebar entries no longer move when losing focus (#22)
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, Eastern Armenian, English (Australia), Estonian, Finnish, French,
  Galician, German, Greek, Hebrew, Hungarian, Icelandic, Indonesian,
  Interlingue, Italian, Japanese, Korean, Lithuanian, Malay, Norwegian Bokmål,
  Norwegian Nynorsk, Polish, Portuguese, Portuguese (Brazil), Russian,
  Serbian, Slovak, Slovenian, Spanish, Thai, Turkish, Ukrainian

1.4.13
======
- General:
  - Optimized svg and png assets
- Bug Fixes:
  - Fix missing results from symbolic links (Xfce #16318)
  - Do not load catfishconfig during setup as it breaks Debian packaging
- Translation Updates:
  Bulgarian, Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech,
  Danish, Dutch, French, Galician, German, Hungarian, Interlingue, Italian,
  Japanese, Lithuanian, Norwegian Bokmål, Polish, Portuguese, Russian,
  Spanish, Swedish, Turkish

1.4.12
======
- New Features:
  - Wayland and GNOME Shell support (Xfce #16293)
- General:
  - All dialogs now use client-side decorations and are modal
  - Fixed typo "Catifish"
- Release Process Updates:
  - Temporary files are now excluded from releases
  - Releases now generate .bz2 files and display contents and checksums
- Translation Updates:
  Albanian, Catalan, Chinese (China), Chinese (Taiwan), Czech, Danish, Dutch,
  French, Galician, German, Italian, Japanese, Norwegian Bokmål, Russian,
  Serbian, Spanish, Turkish

1.4.11
======
- General:
  - Radio indicators are now displayed on the layout options
- Bug Fixes:
  - Fix crashes when GdkDisplay or GdkScreen calls return None (LP: #1822914)
  - Fix configuration of preferred window layout (Xfce #16085)
  - Fix finding files in the target directory (Xfce #15985, #16233)
  - Fix symbolic link looping (Xfce #16272)
  - Fix home (~) expansion for the start path
  - Fix asv-summary-has-dot-suffix
    (https://appstream.debian.org/sid/main/issues/catfish.html)
- Translation Updates:
  Albanian, Belarusian, Catalan, Chinese (China), Chinese (Taiwan), Croatian,
  Czech, Dutch, French, German, Interlingue, Italian, Korean, Lithuanian,
  Malay, Norwegian Bokmål, Portuguese, Portuguese (Brazil), Russian, Serbian,
  Slovak, Spanish, Thai, Turkish

1.4.10
======
- New Features:
  - Preferences Dialog:
    - Window layout (titlebar vs. headerbar)
    - Display options (hidden files and sidebar)
    - Custom exclude directories
  - Option to close Catfish after opening a file (Xfce #14888)
- Bug Fixes:
  - (Really) fix path exclusions (Debian #926850)
- Improved Application Menu:
  - Better use of space, padding, and margins
  - Clearer purpose labels
  - Keyboard accelerator for the sidebar (F9) is now displayed
- General:
  - Better use of alt-accelerators
  - Improved installation instructions (Xfce #15105)
  - Reduced warnings displayed in the terminal
  - Simplified Python 2/3 compatibility code
  - Standardized icon sizes, no more wrongly-sized icons in the results
  - Various code quality fixes (pylint, flake)
  - Combine 3 strings into 1 to help translators (Xfce #15596)
- Search (Walk Method):
  - Enable traversing symbolic links, processing real paths only once
  - Add search priority, with each level processed alphabetically:
    1. XDG paths (Desktop, Documents, etc)
    2. Visible paths
    3. Hidden paths
- Translation Updates:
  Albanian, Basque, Bulgarian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Danish, Dutch, French, Galician, German, Hungarian, Italian,
  Korean, Lithuanian, Norwegian Bokmål, Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Spanish, Turkish

1.4.9
=====
- Bug Fixes:
  - Fix path exclusions (Debian #926850)
- Translations:
  Belarusian, Chinese (China), Chinese (Taiwan), Danish, French, Galician,
  German, Hungarian, Indonesian, Italian, Lithuanian, Norwegian Bokmål,
  Polish, Portuguese (Brazil), Portuguese, Russian, Spanish, Turkish

1.4.8
=====
- Desktop Integration:
  - Thunar: Select file after opening file manager (Xfce #14494)
- Bug Fixes:
  - Adjust locate parameters for the host OS (OpenBSD support)
  - Fix running on Wayland (Xfce #15297)
  - Fix opening directories without XDG_CURRENT_DESKTOP (Xfce #15099)
  - Fix exclusion of non-standard paths with the walk method (Xfce #15206)
- General:
  - Add 'translator-credits' string to po files (Xfce #15564)
  - Change "…" to "..." for consistency with other Xfce apps (Xfce #15407)
  - Translate "Search for files" (Xfce #15097)
- Translation Updates:
  Albanian, Arabic, Armenian (Armenia), Basque, Belarusian, Bulgarian,
  Catalan, Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish,
  Dutch, English (Australia), Finnish, French, Galician, German, Greek,
  Hebrew, Hungarian, Icelandic, Indonesian, Interlingue, Italian, Japanese,
  Korean, Lithuanian, Malay, Norwegian Bokmål, Norwegian Nynorsk, Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Sinhala, Slovak,
  Spanish, Swedish, Thai, Turkish, Ukrainian

1.4.7
=====
- General:
  - Cleaner, easier to read manpage contents
  - Added information about the --path flag to help and the manpage
  - Updated AppStream requirements to align with the latest spec
  - Replaced project URLs with HTTPS where possible
- Desktop Integration:
  - The window layout now respects the current desktop (Xfce #14486)
    - A headerbar layout is used for Budgie, GNOME, and Pantheon
    - All other desktops use the traditional titlebar layout
    - This option can be overridden using the use-headerbar option
      in the Catfish configuration file (~/.config/catfish/catfish.rc)
  - Files can now be dragged into other applications (Xfce #14492)
    - For file managers, the files will usually be copied to that location
    - For other applications, the files will be opened by the application
- Performance:
  - Thumbnails will now only be generated when the thumbnail view is
    active (Xfce #14689)
  - Added /dev to list of standard excluded directories
   - Files within /dev can still be searched if explicitly selected by
     the user
- Bug Fixes:
  - Quoted search strings now allow for searching for specific phrases,
    instead of searching for actual quote characters (Xfce #14501)
  - The file context menu can now be opened multiple times (Xfce #14621)
  - Fix crash as startup with multi-file selection (LP #1753163)
- Translation Updates:
  Albanian, Belarusian, Bulgarian, Catalan, Chinese (China),
  Chinese (Taiwan), Croatian, Czech, Danish, Dutch, English (Australia),
  French, Galician, German, Greek, Hebrew, Hungarian, Icelandic,
  Indonesian, Italian, Japanese, Korean, Lithuanian, Malay,
  Norwegian Nynorsk, Polish, Portuguese, Portuguese (Brazil), Russian,
  Serbian, Sinhala, Spanish, Swedish, Thai, Turkish, Ukrainian

1.4.6
=====
- General:
  - Catfish is now part of Xfce! Update your links:
    - Homepage: https://docs.xfce.org/apps/catfish/start
    - Bugs: https://bugzilla.xfce.org/buglist.cgi?product=Catfish
    - VCS: https://git.xfce.org/apps/catfish
    - Translations: https://www.transifex.com/xfce/public
  - Upgraded thumbnailer, based on the FD.o Thumbnail Spec:
    - Improved error handling
    - Proper permissions for thumbnail directories and files
    - Logging of failed thumbnail generation
    - Saving of thumbnail file attributes
    - Support for relative thumbnail directories
  - Bumped minimum GTK+ version to 3.16
- Bug Fixes:
  - Added inode/directory mimetype to desktop entry (Xfce #14505)
  - Disabled overlay scrollbars to improve interacting with the results list
    (Xfce #14487)
  - Enabled launching of executable AppImage files (Xfce #14500)
  - Fixed invalid date in appdata (Xfce #14502)
  - Replaced stock icons with standard Mime Type icons (Xfce #14503)
  - Improved handling of exceptions when parsing settings (Xfce #14491)
  - Improved handling of UnicodeDecodeErrors (Xfce #14490)
  - Improved handling of PermissionErrors (Xfce #14488)
  - Improved support for hidden files (Xfce #14497)
  - Remember window size and position between sessions (Xfce #14504)
  - Xfce: Open directories with the preferred file manager (Xfce #14483)
- Translation Updates:
  Albanian, Belarusian, Catalan, Chinese (China), Chinese (Taiwan),
  Croatian, Czech, Danish, Dutch, French, Galician, Greek, Hebrew,
  Italian, Lithuanian, Norwegian Bokmål, Polish, Portuguese,
  Portuguese (Brazil), Russian, Spanish, Swedish, Ukrainian

1.4.5
=====
- Translation Updates:
  Catalan, Danish, Dutch, Lithuanian, Spanish, Swedish, Turkish

1.4.4
=====
- General:
  - Added Keywords key to desktop file to cleanup Debian lintian warning
  - Added GTK to the Categories key based on desktop-file-validate
    recommendation
  - Updated appdata requirements and installation directory
  - Cleaned up the setup.py installer

1.4.3
=====
- General:
  - Renamed window to Catfish for easier styling
  - Improved error handling with thumbnails
  - Improved search performance by excluding .cache and .gvfs when not needed
  - Improved locate method performance with the addition of the --basename flag
  - Update references of smdavis.us to bluesabre.org
  - Several pycodestyle improvements
- Bug Fixes:
  - Stop all search methods when engine is stopped
- Translation Updates:
  Afrikaans, Brazilian Portuguese, Bulgarian, Catalan,
  Chinese (Traditional), Croatian, Czech, Danish, Dutch, French, Greek,
  Italian, Kurdish, Lithuanian, Portuguese, Serbian, Slovak, Spanish,
  Swedish, Turkish, Ukrainian

1.4.2
=====
- Bug Fixes:
  - Fixed file timestamps being displayed as UTC instead of local time
  - Unmark strings that should not be translated (LP: #1562578)
- Translation Updates:
  Dutch, German, Finnish, French, Japanese, Lithuanian, Swedish

1.4.1
=====
- Bug Fixes:
  - Fix end date calculation with custom date ranges (LP: #1514018)
  - Fix issues double-click activation (LP: #1523164)
  - Fix middle/right-click activation on startup (LP: #1547807)
  - Fix issues with deleted files not being removed from results
  - Use localtime for date range comparisons
  - Correctly close the application with Ctrl-C via the terminal.
- Translation Updates:
  French

1.4.0
=====
- Bug Fixes:
  - Fix installation with Python 2 (LP: #1540211)
  - Install appdata again (broke in 1.3.4)
- Translation Updates:
  Catalan, Esperanto, French, Lithuanian, Spanish, Swedish

1.3.4
=====
- This is a new development release, probably the last before v1.4.0
  is released.
- Features:
  - Initial polkit integration
- Bug Fixes:
  - Fixed passwordless logic (LP: #1507765)
  - Fixed crash in en_US locale for non-sudoer user (LP: #1501565)
  - Replaced catfish launch script (LP: #1445739)
  - Fixed middle-click activation
  - Fixed issues with multiple selections (LP: #1461072, #1508918)
- Translation Updates:
  Bulgarian, Chinese (Simplified), Chinese (Traditional), Dutch,
  English (Australia), French, German, Greek, Icelandic,
  Lithuanian, Serbian, Swedish, Ukrainian

1.3.3
=====
- This is a new (minor) development release.
- Bug Fixes:
  - Hide `which` output on startup
- Translation Updates:
  French, Greek, Spanish

1.3.2
=====
- This is a new (minor) development release.
- Bug Fixes:
  - Use correct thumbnails directory based on GLib version (LP: #1495098)
  - Unmark icon name for translation
- Translation Updates:
  German, Finnish, French, Polish, Portuguese, Spanish

1.3.1
=====
- This is a new development release.
- Features:
  - Optional headerbars (enabled by default).
    Adjust the "use-headerbar" setting to change.
- Bug Fixes:
  - Support for passwordless sudo (LP: #1395720)
  - Detect availability of locate, disable if unavailable (LP: #1482919)
  - Fix lookup of files over 2GB on 32bit installations (LP: #1442559)
  - Fix broken modification date filter
  - Set the window title to correctly display in window lists

1.3.0
=====
- This is a new development release.
- Features:
  - Significant UI refresh. The buggy toolbar was CSD headerbars.
    Sidebar was cleaned up and now more clearly indicates selected options.
  - Custom search dialogs were minimized, sped up, and replaced with
    Popover widgets.
  - New splash screens were added for startup and when no files are found.
 + Bug Fixes:
   - Photoshop and SVG thumbnail generation is now blacklisted since
     it resulted in less stability with recent library versions.
   - Quit on Ctrl+Q (LP: #1447045)
   - Add GenericName to desktop file (LP: #1476401)
   - Use the correct locate.db file (LP: #1480064)
   - Use unique GUI IDs (LP: #1389896)

1.2.2
=====
- Fix typo in CatfishWindow.py (LP: #1372166)
- Fix right-click activating previous item (LP: #1372165)
- Updated translations

1.2.1
=====
- Fix regression introduced in 1.2.0 that prevents the application from
  starting (Debian: #758652)

1.2.0
=====
- Added Search button to start search with the mouse (LP: #1300158)
- Added "--start" command line flag to start searching on startup
- Removed "--fileman" and "--wrapper" flags, xdg-open is sufficient
- Results are now cleared when starting a new search
- An InfoBar is now displayed when the locate database is out-of-date
- Improved updatedb and password dialogs
- Fixed searching for multiple terms (LP: #1353546)

1.0.3
=====
- Fix external file search methods (e.g. locate) (lp: #1329801)
- Improved handling for missing symbolic icons
- Add AppData files (lp: #1323747)
- Use LANG only when needed, disable updatedb if not in sudoers (lp: #1320777)

1.0.2
=====
- Update to latest SudoDialog
- Cleanup remaining quickly template cruft
- Use LANG=C with pexpect calls for better reliable with non-english locales
- Fix list logic, item selection
- Fix dialog API changes

1.0.1
=====
- Fix CVE-2014-2093 CVE-2014-2094 CVE-2014-2095 CVE-2014-2096
  - Debian #739958
  - Fedora #1069396
- Fix multiple-selection regression (lp: #1283726)

1.0.0
=====
- Interface refresh, mimicking common gnome applications.
- Fix executable-not-elf-or-script when debian packaging
- Use "use_underline" property for SaveAs and Delete in popup menu
- Fix "--thumbnail" startup option (lp: #1230245)
- Remove embedded copy of pexpect (lp: #1257500)
- Fix image loading issues, use icon names available in gnome-icon-theme (lp: #1258713)
- Fix untranslatable strings (lp: #1261181)
- Fix sidebar width (lp: #1261185)
- Fix sidebar coloration (lp: #1261185)
- Fix searching mounted shares (lp: 1274378)

0.8.2
=====
- Fix PyGObject deprecation warning (lp: #1228440)
- Add fallback for all symbolic icons used in the application

0.8.1
=====
- Fix python2/3 error that prevented installation (lp 1217507)

0.8.0
=====
- Add Folder filter
- Improved encoding support
- Improved Python3 support
- Remember sidebar visibility and hidden files toggled (lp 1188954)
- Enhanced image thumbnailer (lp 1193311)
- Use pexpect and SudoDialog to replace gksu dependency (lp 1202085)

0.6.4
=====
- Make singular files found message available.
- Make Search terms placeholder text translateable (lp 1175201)
- Make commandline options translateable (lp 1175204)

0.6.3
=====
- Fix crash when directory in PATH does not exist (lp 1166079)
- Fix case sensitivity in search backend (lp 1166214)
- Fix infinite loop when searching for * (lp 1165727)
- Updated translations

0.6.2
=====
- Update website
- Install py files instead of pyc
- Fix symbolic links for build systems
- Updated translations

0.6.1
=====
- Fixed application name in Xfce4 application switcher
- Fixed early pygobject API bug for init of TreeModelSort
- Fixed wildcard support
- Fixed theme change detection and update for sidebar
- Minor code cleanup with emphasis on readability and maintainability

0.6.0
=====
- Complete rewrite from the ground-up.
- Replaced find with os.walk
- Sidebar is now styled and uses symbolic icons when available.
- Further interface refinements.
- Improved thumbnail-loading support.
- Drag'n'Drop of filenames from application.
- Added delete to file popup menu.
- Ability to perform operations on multiple files.
- Simplified strings for easier translation.
- Python version 2 or 3 can now be used.

0.4.0.3
=======
- Added Greek translation.
- Added Basque translation.
- Added Japanese translation.
- Added Dutch translation.
- Added Brazilian Portugeuse translation.
- Added Russian translation.
- Added Slovak translation.
- Added Serbian translation.
- Added Turkish translation.
- Added Ukranian translation.
- Added Chinese Traditional translation.
- Updated Belarusian translation.
- Updated Czech translation.
- Updated German translation.
- Updated Spanish translation.
- Updated Finnish translation.
- Updated French translation.
- Updated Polish translation.

0.4.0.2
=======
- Added Russian localized comment in catfish.desktop
- Fix for not running on Ubuntu live CD
- Fix for using wildcards with locate
- Fix for find not searching in symlinked folder
- Fix for window icon name not matching .desktop file
- Fix for python-xdg not being a listed requirement

0.4.0.1
=======
- Added fix for potential crash with icon_load
- Removed deprecated string from desktop file

0.4.0
=====
- GTK+ 3.2+ port
- Zeitgeist/Locate search suggestions
- Revamped minimalistic interface
- Fixed sorting by date
- Defaults to user home folder
- Search on entry activate
- Removed deprecated pyGTK

0.3.2
=====
- Use completely new logo
- Correct erroneous spin button page size
- Partly localize Desktop file comment
- Install icon to $prefix/share/icons/hicolor
- Improve uninstall make rule
- Install docs to a $prefix/share/docs/catfish
- new translations: cs, fi, zh_CN

0.3.1
=====
- use a broader default test for wrapper and filemanager
- give more helpful output if a file can't be opened
- fix search from folders with spaces breaking find

0.3
===
- stable release
- fix filetype button style to force icons only
- remove settings dialog again for now

0.3c
====
- use proper stock item constants
- add settings dialog
- allow for a relative path in cli option 'path'
- support mailbox uris
- warn when specified method is unavailable
- ask before overwriting file
- fix errors in on_menu_save code
- show message dialog when file couldn't be saved
- show message dialog when file couldn't be opened
- new translations: es

0.3b
====
- optimized treeview click handler
- allow to open the popup menu with hotkeys
- add cli option 'file-action'
- allow to cancel searching with "Esc"
- removed cli option 'nostat'
- better module check
- add cli option 'debug'
- update method 'pinot' for Pinot v0.71
- new translations: ca, fr, pl, ru

0.3a
====
- option to build debian package
- include docs in install
- open folder on middle click
- add dbus-support
- add method 'strigi'(dbus)
- check file icon and filter in one go
- add method 'pinot'(dbus)
- modularize backend interface
- add cli option 'nostat'

0.2.5
=====
- new translations: es

0.2.4
=====
- new translations: ca, fr, pl, ru

0.2.3
=====
- fix search daemon not run

0.2.2
=====
- fix cli option 'fulltext'
- fix visible internal link
- fix popup menu (workaround glade bug)
- fix size in thumbnail and large icon mode
- new translations: da

0.2.1
=====
- fix makefile to build translations

0.2
===
- stable release
- new translations: fr, pl

0.2d
====
- fix unknown widget-style bug
- removed meta search mode
- add fulltext search
- respect folder for any method
- display tooltips for file types
- default to 'save' in save-dialog
- fix format of iso-time
- optimized file type filter
- new translations: fr, sv

0.2c
====
- simplified glade file check
- localization support
- add 'Save to file' to popup menu
- fix error if xdg.Mime unavailable
- always include hidden files in hidden folders
- fix popup menu right-click
- add program icon
- changed build process
- fix pango markup warning
- optional meta search mode
- fix open missing file exception
- new translations: de, it

0.2b
====
- cleaner build process
- improved search code
- swap time and path columns
- ellipsize path column
- use icon for status/ error
- complain about unsupported wildcards
- provide way to launch search daemon
- fix 'opening' of status messages
- show popup menu only for files
- merge 'icon' and 'name' columns in default mode
- fix combobox icon size
- use compatible icons

0.2a
====
- add method 'doodle'
- use HPaned to make findbar resizable
- new search method ComboBox
- add cli option for search method
- add cli option for 'exact match'
- add cli option for 'include hidden files'
- more flexible find method handling
- exact search for any method
- search for files by type
- better dependency handling
- add keywords autocompletion
- show keywords in statusbar
- add 'Copy' to popup menu

0.1
===
- stable release

0.1e
====
- improve 'find' support
- make search method entry read-only
- fix sorting by size
- allow wildcards in keywords
- fix confusing errors for 'find'

0.1d
====
- check dependencies in build.py
- fix opening of files in large-icons/thumbnails mode
- match filename only
- fix freeze when opening file manager
- fix '1 file found' for no results
- add option for custom file opener

0.1c
====
- fix enter key to start search
- fix opening of files in gnome
- reset the column width for every search
- make list sortable
- provide desktop file
- optional display thumbnails of images
- limit search results
- replace Combo with ComboBoxEntry
- auto-disable unavailable options
- guess location of glade-file
- provide make file
- make columns resizable
- fix error with unknown DESKTOP_SESSION

0.1b
====
- add method 'slocate'
- add method 'beagle'
- show number of results in statusbar
- add filechooser-dialog
- use local date
- use small icons by default
- several command line options
- several minor improvements
- fix 'include hidden files'
- show results in realtime
- improved support for desktops besides xfce
- provide 'cancel' button

0.1a
====
- initial release
